//Renata Kopecna

#ifndef GENLVLVSMC_H
#define GENLVLVSMC_H


#include <iostream>
#include <assert.h>
#include <parse.hh>
#include <paths.hh>
#include <spdlog.h>

//Used to plot the fit results of GenLvl MC vs processed MC
//Plots both signal and Jpsi, hence nBins is hardcoded to 5 and it reads both the fit of
//4 bins in MC + 1 bin in RefMC

int plotComparison(std::string observable);
int plotComparison_Toy_GenVsFit(std::string observable, bool isRef);
int plotComparison_Toy_GenVsMC(std::string observable, bool isRef);
int plotComparison_Toy_InitVsAcutalFit(std::string observable, bool isRef);
int plotComparisonMCFolding(std::string observable);
#endif // GENLVLVSMC_H
